* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

@media (max-width: 920px) {
    :root {
        font-size: 15px;
    }
}

@media (max-width: 577px) {
    :root {
        font-size: 14px;
    }
}


body {
    font-family: "Inter", sans-serif;
}

a {
    color: inherit;
    text-decoration: none;
}


/* ======== HEADER ======== */

header {
    position: fixed;
    width: 100%;
    top: 0;
    left: 0;
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: aquamarine;
    height: 5rem;
    padding: 0 2rem;
}

header a:hover {
    border-bottom: 1px solid #000;
}

header nav ul {
    display: flex;
    gap: 1rem;
    list-style: none;
}


@media (max-width: 577px) {
    header {
        padding: 0 1.5rem;
    }
}


/* ======== MAIN ======== */

main {
    min-height: calc(100vh - 5rem - 3rem);
    margin-top: 5rem;
}

/* ======== HOME ======== */
.home-hero {
    background-color: bisque;
    height: calc(100vh - 5rem - 3rem);
}

.home-hero img {
    width: 100%;
    height: calc(100vh - 5rem - 3rem);
    display: block;
    object-fit: cover;
}


/* ======== WORK ======== */

.work .container {
    padding: 2rem;
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    gap: 1.5rem;
}

@media (max-width: 920px) {
    .work .container {
        grid-template-columns: 1fr 1fr;
    }
}

@media (max-width: 577px) {
    .work .container {
        padding: 1.5rem;
        grid-template-columns: 1fr;
    }
}

.work article:hover .card-image {
    border-radius: 100%;
}

.work .card-image {
    aspect-ratio: 4/2.5;
    background-color: beige;
    overflow: hidden;
    transition: .5s border-radius;
    margin-bottom: 1rem;
}

.work .card-image img {
    width: 100%;
    height: 100%;
    display: block;
    object-fit: cover;
}



/* ======== ABOUT ======== */
.about section {
    padding: 2rem;
}

.about .section-text p {
    font-size: 3rem;
}


.about .section-title {
    font-size: 3rem;
    margin-bottom: 2rem;
}

.about .container {
    display: grid;
    grid-template-columns: repeat(6, 1fr);
    gap: 1.5rem;
}

.about .card-image {
    aspect-ratio: 1/1;
    margin-bottom: 1rem;
}

.about .card-image img {
    width: 100%;
    height: 100%;
    display: block;
    object-fit: cover;
}

@media (max-width: 920px) {
    .about .section-text p {
        font-size: 2rem;
    }

    .about .section-title {
        font-size: 2rem;
        margin-bottom: 1.5rem;
    }

    .about .container {
        grid-template-columns: repeat(4, 1fr);
    }
}

@media (max-width: 577px) {
    .about section {
        padding: 1.5rem;
    }

    .about .section-text p {
        font-size: 1.5rem;
    }

    .about .section-title {
        font-size: 1.5rem;
        margin-bottom: 1rem;
    }

    .about .container {
        grid-template-columns: repeat(2, 1fr);
    }

}

/* ======== PROJECT ======== */

.project .container {
    display: grid;
    grid-template-columns: 1fr 2fr;
    gap: 1.5rem;
    padding: 2rem;
}

.project .project-text {
    position: sticky;
    top: 7rem;
}

.project .project-title {
    font-size: 2rem;
    margin-bottom: 1.5rem;
}

.project .project-images img {
    width: 100%;
    height: auto;
    display: block;
}

.project .project-images img~img, 
.project .project-images img~iframe, 
.project .project-images iframe~iframe, 
.project .project-images iframe~img {
    margin-top: 1.5rem;
}

.project .project-images iframe {
    width: 100%;
    height: auto;
    display: block;
    aspect-ratio: 16/9;
}

@media (max-width: 920px) {
    .project .container {
        grid-template-columns: 1fr 1fr;
    }

}


@media (max-width: 577px) {

       .project .container {
        grid-template-columns: 1fr;
            padding: 1.5rem;
    }

}

/* ======== FOOTER ======== */

footer {
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: aquamarine;
    height: 3rem;
    padding: 0 2rem;
}

footer nav ul {
    display: flex;
    gap: 1rem;
    list-style: none;
}

@media (max-width: 577px) {
    footer {
        font-size: .85rem;
        padding: 0 1.5rem;
    }
}